Robotsystem of the Robot Group Leipzig: controller_misc.cpp File Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Examples

- Search for |

- File List
- File Members

# controller_misc.cpp File Reference

`#include "controller_misc.h"`

Include dependency graph for controller_misc.cpp:

## Functions
double | one_over (double x)
| calculates 1/x
double | random_minusone_to_one (double)
| creates random number from -1 to 1
list< D > | store4x4AndDiagonal (const Matrix &m)
unsigned int | store4x4AndDiagonal (const Matrix &m, D *buffer, unsigned int len)
unsigned int | get4x4AndDiagonalSize (const Matrix &m)
list< Inspectable::iparamkey > | store4x4AndDiagonalFieldNames (const Matrix &m, const char *matrixName)
unsigned int | store4x4AndDiagonalFieldNames (const Matrix &m, const char *matrixName, char **keylist, unsigned int len)
list< Inspectable::iparamkey > | storeMatrixFieldNames (const Matrix &m, const char *matrixName)
list< Inspectable::iparamkey > | storeVectorFieldNames (const Matrix &m, const char *vectorName)
unsigned int | storeMatrixFieldNames (const Matrix &m, const char *matrixName, char **keylist, unsigned int len)
unsigned int | storeVectorFieldNames (const Matrix &m, const char *vectorName, char **keylist, unsigned int len)
Matrix | noiseMatrix (unsigned int m, unsigned int n, NoiseGenerator &ng, double p1, double p2)
| returns a Matrix with values generated by the given noise generator
double | matrixNorm1 (const matrix::Matrix &m)
| calculates to linear matrix norm (sum of absolute values devided by number of values (m*n) )
double | adapt (double p, double actual, double nominal, double up_rate, double down_rate)
| parameter adaptation algorithm.
double | adaptMinMax (double p, double actual, double _min, double _max, double up_rate, double down_rate)
| like adapt but that the adaption is just done if the actual value is outside the given interval (_min, _max)

## Function Documentation

double adapt | ( | double | p,
|  | double | actual,
|  | double | nominal,
|  | double | up_rate,
|  | double | down_rate |
| ) |  |  |

parameter adaptation algorithm.

double adaptMinMax | ( | double | p,
|  | double | actual,
|  | double | _min,
|  | double | _max,
|  | double | up_rate,
|  | double | down_rate |
| ) |  |  |

like adapt but that the adaption is just done if the actual value is outside the given interval (_min, _max)

unsigned int get4x4AndDiagonalSize | ( | const Matrix & | m | ) |

double matrixNorm1 | ( | const matrix::Matrix & | m | ) |

calculates to linear matrix norm (sum of absolute values devided by number of values (m*n) )

Matrix noiseMatrix | ( | unsigned int | m,
|  | unsigned int | n,
|  | NoiseGenerator & | ng,
|  | double | p1,
|  | double | p2 |
| ) |  |  |

returns a Matrix with values generated by the given noise generator

double one_over | ( | double | x | ) |

calculates 1/x

double random_minusone_to_one | ( | double |  | ) |

creates random number from -1 to 1

unsigned int store4x4AndDiagonal | ( | const Matrix & | m,
|  | D * | buffer,
|  | unsigned int | len |
| ) |  |  |

list<D> store4x4AndDiagonal | ( | const Matrix & | m | ) |

unsigned int store4x4AndDiagonalFieldNames | ( | const Matrix & | m,
|  | const char * | matrixName,
|  | char ** | keylist,
|  | unsigned int | len |
| ) |  |  |

list<Inspectable::iparamkey> store4x4AndDiagonalFieldNames | ( | const Matrix & | m,
|  | const char * | matrixName |
| ) |  |  |

unsigned int storeMatrixFieldNames | ( | const Matrix & | m,
|  | const char * | matrixName,
|  | char ** | keylist,
|  | unsigned int | len |
| ) |  |  |

list<Inspectable::iparamkey> storeMatrixFieldNames | ( | const Matrix & | m,
|  | const char * | matrixName |
| ) |  |  |

unsigned int storeVectorFieldNames | ( | const Matrix & | m,
|  | const char * | vectorName,
|  | char ** | keylist,
|  | unsigned int | len |
| ) |  |  |

list<Inspectable::iparamkey> storeVectorFieldNames | ( | const Matrix & | m,
|  | const char * | vectorName |
| ) |  |  |